Bug 1655941 (CVE-2018-19628)

Summary: CVE-2018-19628 wireshark: ZigBee ZCL dissector crash
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: denis, huzaifas, lemenkov, mruprich, msehnout, phatina, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20181127,reported=20181128,source=internet,cvss3=6.5/CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H,cwe=CWE-369,fedora-all/wireshark=affected,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected,rhel-7/wireshark=notaffected,rhel-8/wireshark=notaffected
Fixed In Version: wireshark 2.6.5 Doc Type: If docs needed, set a value
Doc Text:
A divide-by-zero vulnerability in ZigBee ZCL dissector allows Wireshark to crash when parsing a specially crafted pcap file. An attacker could cause a denial of service to Wireshark by injecting malicious packets into victim's WPAN network.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:06:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1655944, 1657190    
Bug Blocks: 1655949    

Description Andrej Nemec 2018-12-04 09:58:47 UTC
In Wireshark 2.6.0 to 2.6.4, the ZigBee ZCL dissector could crash. This was addressed in epan/dissectors/packet-zbee-zcl-lighting.c by preventing a divide-by-zero error.

Upstream issue:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15281

Upstream patch:

https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=212b18825d9b668cda23d334c48867dfa66b2b36

External References:

https://www.wireshark.org/security/wnpa-sec-2018-57.html

Comment 1 Andrej Nemec 2018-12-04 10:00:52 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1655944]

Comment 4 Adam Mariš 2018-12-07 12:00:11 UTC
ZigBee is a family of WPAN protocols, thus AV:A.

Comment 5 Eric Christensen 2018-12-19 18:47:06 UTC
Statement:

This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5, 6, and 7.

Comment 6 Product Security DevOps Team 2019-07-12 13:06:21 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19628